experiments
Create experiments decision
Requires scopes: eval:write
POST
/
api
/
experiments
/
{id}
/
decision
Create experiments decision
curl --request POST \
--url https://evalgate.com/api/experiments/{id}/decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"decision": "needs_review",
"rationale": "<string>",
"idempotencyKey": "<string>",
"comparisonHash": "<string>",
"winningVariantKey": "<string>"
}
'import requests
url = "https://evalgate.com/api/experiments/{id}/decision"
payload = {
"decision": "needs_review",
"rationale": "<string>",
"idempotencyKey": "<string>",
"comparisonHash": "<string>",
"winningVariantKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
decision: 'needs_review',
rationale: '<string>',
idempotencyKey: '<string>',
comparisonHash: '<string>',
winningVariantKey: '<string>'
})
};
fetch('https://evalgate.com/api/experiments/{id}/decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idempotentReplay": true,
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experimentId": "<string>",
"executionId": "<string>",
"decision": "<string>",
"winningVariantId": "<string>",
"rationale": "<string>",
"comparisonHash": "<string>",
"comparisonJson": {
"baselineVariantKey": "<string>",
"candidateVariantKey": "<string>",
"classification": "not_comparable",
"decisionLogic": [
"<string>"
],
"comparable": true,
"comparisonHash": "<string>",
"metrics": {
"quality": {
"baselinePassRate": 123,
"candidatePassRate": 123,
"delta": 123,
"confidence95": {
"low": 123,
"high": 123
}
},
"scoreDistribution": {
"baseline": [
123
],
"candidate": [
123
],
"meanDelta": 123
},
"cost": {
"baselineUsd": 123,
"candidateUsd": 123,
"deltaUsd": 123,
"unknownBaselineRows": 123,
"unknownCandidateRows": 123
},
"latency": {
"baselineP50Ms": 123,
"candidateP50Ms": 123,
"p50DeltaMs": 123,
"baselineP95Ms": 123,
"candidateP95Ms": 123,
"p95DeltaMs": 123
},
"failures": {
"baseline": {},
"candidate": {},
"newRegressions": 123,
"fixedRegressions": 123,
"toolCallDelta": 123,
"toolErrorDelta": 123,
"policyBlockDelta": 123
}
},
"pairedRows": [
{
"caseId": 123,
"baseline": {
"variantKey": "<string>",
"caseId": 123,
"testResultId": 123,
"runId": 123,
"status": "<string>",
"output": "<string>",
"score": 123,
"durationMs": 123,
"costUsd": 123,
"costKnown": true,
"failureMode": "<string>",
"toolError": true,
"toolCallCount": 123,
"policyBlocked": true,
"judgeIdentity": "<string>",
"traceId": 123,
"modelCallId": "<string>",
"evidenceComplete": true
},
"candidate": {
"variantKey": "<string>",
"caseId": 123,
"testResultId": 123,
"runId": 123,
"status": "<string>",
"output": "<string>",
"score": 123,
"durationMs": 123,
"costUsd": 123,
"costKnown": true,
"failureMode": "<string>",
"toolError": true,
"toolCallCount": 123,
"policyBlocked": true,
"judgeIdentity": "<string>",
"traceId": 123,
"modelCallId": "<string>",
"evidenceComplete": true
},
"qualityDelta": 123,
"costDeltaUsd": 123,
"latencyDeltaMs": 123,
"classification": "regression",
"warnings": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"missingData": [
"<string>"
]
},
"idempotencyKey": "<string>",
"decidedBy": "<string>",
"decidedAt": "2023-11-07T05:31:56Z"
}{
"idempotentReplay": true,
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"experimentId": "<string>",
"executionId": "<string>",
"decision": "<string>",
"winningVariantId": "<string>",
"rationale": "<string>",
"comparisonHash": "<string>",
"comparisonJson": {
"baselineVariantKey": "<string>",
"candidateVariantKey": "<string>",
"classification": "not_comparable",
"decisionLogic": [
"<string>"
],
"comparable": true,
"comparisonHash": "<string>",
"metrics": {
"quality": {
"baselinePassRate": 123,
"candidatePassRate": 123,
"delta": 123,
"confidence95": {
"low": 123,
"high": 123
}
},
"scoreDistribution": {
"baseline": [
123
],
"candidate": [
123
],
"meanDelta": 123
},
"cost": {
"baselineUsd": 123,
"candidateUsd": 123,
"deltaUsd": 123,
"unknownBaselineRows": 123,
"unknownCandidateRows": 123
},
"latency": {
"baselineP50Ms": 123,
"candidateP50Ms": 123,
"p50DeltaMs": 123,
"baselineP95Ms": 123,
"candidateP95Ms": 123,
"p95DeltaMs": 123
},
"failures": {
"baseline": {},
"candidate": {},
"newRegressions": 123,
"fixedRegressions": 123,
"toolCallDelta": 123,
"toolErrorDelta": 123,
"policyBlockDelta": 123
}
},
"pairedRows": [
{
"caseId": 123,
"baseline": {
"variantKey": "<string>",
"caseId": 123,
"testResultId": 123,
"runId": 123,
"status": "<string>",
"output": "<string>",
"score": 123,
"durationMs": 123,
"costUsd": 123,
"costKnown": true,
"failureMode": "<string>",
"toolError": true,
"toolCallCount": 123,
"policyBlocked": true,
"judgeIdentity": "<string>",
"traceId": 123,
"modelCallId": "<string>",
"evidenceComplete": true
},
"candidate": {
"variantKey": "<string>",
"caseId": 123,
"testResultId": 123,
"runId": 123,
"status": "<string>",
"output": "<string>",
"score": 123,
"durationMs": 123,
"costUsd": 123,
"costKnown": true,
"failureMode": "<string>",
"toolError": true,
"toolCallCount": 123,
"policyBlocked": true,
"judgeIdentity": "<string>",
"traceId": 123,
"modelCallId": "<string>",
"evidenceComplete": true
},
"qualityDelta": 123,
"costDeltaUsd": 123,
"latencyDeltaMs": 123,
"classification": "regression",
"warnings": [
"<string>"
]
}
],
"warnings": [
"<string>"
],
"missingData": [
"<string>"
]
},
"idempotencyKey": "<string>",
"decidedBy": "<string>",
"decidedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I
Create experiments decision
